Subject: x11/py-qt3-base can't find
To: None <>
From: MLH <>
List: tech-pkg
Date: 07/16/2004 12:44:33
Any ideas on why py-qt3-base can't find libXext ?

# ls -l .buildlink/lib/libXext*
lrwxr-xr-x  1 root  wheel  38 Jul 15 20:12 .buildlink/lib/libXext.a -> /usr/pkg/share/x11-links/lib/libXext.a
lrwxr-xr-x  1 root  wheel  39 Jul 15 20:12 .buildlink/lib/ -> /usr/pkg/share/x11-links/lib/
lrwxr-xr-x  1 root  wheel  41 Jul 15 20:12 .buildlink/lib/ -> /usr/pkg/share/x11-links/lib/
lrwxr-xr-x  1 root  wheel  43 Jul 15 20:12 .buildlink/lib/ -> /usr/pkg/share/x11-links/lib/

===> Configuring for py23pth-qt3-base-3.11
(cd /pkg_comp/obj/pkgsrc/x11/py-qt3-base/default/PyQt-x11-gpl-3.11 && /usr/bin/env USETOOLS=no PTHREADBASE=/usr M
OC="/usr/pkg/qt3/bin/moc" QTDIR="/usr/pkg/qt3" MOC="/usr/pkg/qt3/bin/moc" QTDIR="/usr/pkg/qt3" MOC="/usr/pkg/qt3/
bin/moc" QTDIR="/usr/pkg/qt3" UIC="/usr/pkg/qt3/bin/uic" MAKECONF=/dev/null USETOOLS="no" OBJECT_FMT="ELF" LIBTOO
L="libtool " LDFLAGS=" -L/usr/pkg/lib -L/usr/pkg/lib/python2p3/config -Wl,-R/usr/pkg/lib/python2p3/config -L/usr/
pkg/lib/python2p3/site-packages -Wl,-R/usr/pkg/lib/python2p3/site-packages -Wl,-R/usr/pkg/lib -L/usr/pkg/qt3/lib 
-Wl,-R/usr/pkg/qt3/lib -L/usr/lib -Wl,-R/usr/lib -L/usr/X11R6/lib -Wl,-R/usr/X11R6/lib" RPATH_FLAG="-R" WHOLE_ARC
HIVE_FLAG="-Wl,--whole-archive" NO_WHOLE_ARCHIVE_FLAG="-Wl,--no-whole-archive" LINK_ALL_LIBGCC_HACK="" PATH=/pkg_
usr/pkg/bin:/usr/pkg/sbin:/usr/games:/usr/local/bin:/usr/local/sbin:/usr/pkg/bin:/usr/X11R6/bin PREFIX=/usr/pkg L
OCALBASE=/usr/pkg X11BASE=/usr/X11R6 CFLAGS="-O2  -I/usr/pkg/include -I/usr/pkg/include/python2p3 -I/usr/pkg/qt3/
include -DGLX_GLXEXT_LEGACY -I/usr/include -I/usr/pkg/include/freetype2" CPPFLAGS="   -I/usr/pkg/include -I/usr/p
kg/include/python2p3 -I/usr/pkg/qt3/include -DGLX_GLXEXT_LEGACY -I/usr/include -I/usr/pkg/include/freetype2" FFLA
GS="-O" X11PREFIX=/usr/pkg CC="gcc" CXX="g++" CPP="cpp" PTHREAD_CFLAGS="-pthread" PTHREAD_LDFLAGS=" -lpthread" BS
D_INSTALL_PROGRAM="install -c -s -o root -g wheel -m 555"                BSD_INSTALL_SCRIPT="install -c -o root -
g wheel -m 555"                  BSD_INSTALL_LIB="install -c -o root -g wheel -m 555"                    BSD_INST
ALL_DATA="install -c -o root -g wheel -m 444"                    BSD_INSTALL_MAN="install -c -o root -g wheel -m 
444"                     BSD_INSTALL="install"                           BSD_INSTALL_PROGRAM_DIR="install -d -o r
oot -g wheel -m 755"     BSD_INSTALL_SCRIPT_DIR="install -d -o root -g wheel -m 755"             BSD_INSTALL_LIB_
DIR="install -d -o root -g wheel -m 755"                 BSD_INSTALL_DATA_DIR="install -d -o root -g wheel -m 755
"                BSD_INSTALL_MAN_DIR="install -d -o root -g wheel -m 755"                BSD_INSTALL_GAME="instal
l -c -s -o root -g wheel -m 555" PKG_SYSCONFDIR="/usr/pkg/etc" INSTALL_INFO="/pkg_comp/obj/pkgsrc/x11/py-qt3-base
/default/.tools/bin/install-info" MAKEINFO="/pkg_comp/obj/pkgsrc/x11/py-qt3-base/default/.tools/bin/makeinfo" BUI
LDLINK_CACHE_ALL=yes  VIEWBASE=/usr/pkg  /usr/pkg/bin/python2p3 -b /usr/pkg/bin -d /usr/pkg/lib/pyth
on2p3/site-packages -v /usr/pkg/share/sip2p3)
This is the GPL version of PyQt 3.11 (licensed under the GNU General Public
License) for Python 2p3.4 on netbsd2.

Type 'L' to view the license.
Type 'yes' to accept the terms of the license.
Type 'no' to decline the terms of the license.

SIP 4.0rc3 is being used.
Creating features file...
Shared object "" not found
Error: There was an error creating the features file.
*** Error code 1

make: stopped in /usr/pkgsrc/x11/py-qt3-base
*** Error code 1